# $Revision: 1.9 $, $Date: 2010/07/08 08:26:51 $
%define		module	pisa
Summary:	HTML/XML/CSS to PDF converter using the ReportLab toolkit
Summary(pl.UTF-8):	Konwerter formatów HTML/XML/CSS do PDF korzystający z narzędzi ReportLab
Name:		python-%{module}
Version:	3.0.33
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pisa/%{module}-%{version}.tar.gz
# Source0-md5:	e2040b12211303d065bc4ae2470d2700
URL:		http://www.xhtml2pdf.com/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-html5lib
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
%pyrequires_eq	python
Requires:	python-html5lib
Requires:	python-PIL
Requires:	python-ReportLab >= 2.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML/XML/CSS to PDF converter using the ReportLab toolkit.

%description -l pl.UTF-8
Konwerter formatów HTML/XML/CSS do PDF korzystający z narzędzi
ReportLab.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

install -d $RPM_BUILD_ROOT%{_bindir}
install pisa.py $RPM_BUILD_ROOT%{_bindir}
sed -i 's@/usr/local/bin/python.*$@/usr/bin/python@' $RPM_BUILD_ROOT%{_bindir}/pisa.py

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt README.txt
%attr(755,root,root) %{_bindir}/pisa
%attr(755,root,root) %{_bindir}/pisa.py
%attr(755,root,root) %{_bindir}/xhtml2pdf
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{py_sitescriptdir}/ho
%{py_sitescriptdir}/sx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pisa.spec,v $
Revision 1.9  2010/07/08 08:26:51  arekm
- release 2

Revision 1.8  2010/06/17 10:06:44  patrys
- 3.0.33
- hooray for Apache license

Revision 1.7  2010/02/22 13:02:02  patrys
- updated URL

Revision 1.6  2009/07/08 10:54:18  patrys
- requires new ReportLab

Revision 1.5  2009/07/08 10:50:59  patrys
- 3.0.32

Revision 1.4  2007/11/06 18:42:17  qboosh
- noarch, no CFLAGS

Revision 1.3  2007/11/06 18:37:42  qboosh
- pl, python BRs

Revision 1.2  2007/11/06 16:47:41  patrys
- package command line tool

Revision 1.1  2007/11/06 15:39:15  patrys
- initial PLD release
